Package ghidra.app.merge.listing

# Enum Class ExternalFunctionMerger.ExternalConflictType

java.lang.Object
java.lang.Enum<ExternalFunctionMerger.ExternalConflictType>
ghidra.app.merge.listing.ExternalFunctionMerger.ExternalConflictType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExternalFunctionMerger.ExternalConflictType>`, `Constable`

Enclosing class:
  `ExternalFunctionMerger`

protected static enum ExternalFunctionMerger.ExternalConflictType extends Enum<ExternalFunctionMerger.ExternalConflictType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXTERNAL_ADD_CONFLICT`
  `EXTERNAL_DATA_TYPE_CONFLICT`
  `EXTERNAL_DETAILS_CONFLICT`
  `EXTERNAL_FUNCTION_CONFLICT`
  `EXTERNAL_FUNCTION_REMOVE_CONFLICT`
  `EXTERNAL_FUNCTION_VS_DATA_TYPE_CONFLICT`
  `EXTERNAL_REMOVE_CONFLICT`
  `FUNCTION_BODY_CONFLICT`
  `FUNCTION_DETAILS_CONFLICT`
  `FUNCTION_OVERLAP_CONFLICT`
  `FUNCTION_REMOVE_CONFLICT`
  `FUNCTION_RETURN_CONFLICT`
  `LOCAL_VARIABLE_DETAIL_CONFLICT`
  `PARAMETER_INFO_CONFLICT`
  `PARAMETER_SIGNATURE_CONFLICT`
  `REMOVED_LOCAL_VARIABLE_CONFLICT`
  `THUNK_CONFLICT`
  `VARIABLE_STORAGE_CONFLICT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExternalFunctionMerger.ExternalConflictType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExternalFunctionMerger.ExternalConflictType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXTERNAL_FUNCTION_REMOVE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_FUNCTION_REMOVE_CONFLICT

  - ### EXTERNAL_FUNCTION_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_FUNCTION_CONFLICT

  - ### EXTERNAL_DETAILS_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_DETAILS_CONFLICT

  - ### EXTERNAL_DATA_TYPE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_DATA_TYPE_CONFLICT

  - ### EXTERNAL_FUNCTION_VS_DATA_TYPE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_FUNCTION_VS_DATA_TYPE_CONFLICT

  - ### EXTERNAL_ADD_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_ADD_CONFLICT

  - ### EXTERNAL_REMOVE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType EXTERNAL_REMOVE_CONFLICT

  - ### FUNCTION_OVERLAP_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType FUNCTION_OVERLAP_CONFLICT

  - ### FUNCTION_BODY_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType FUNCTION_BODY_CONFLICT

  - ### FUNCTION_REMOVE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType FUNCTION_REMOVE_CONFLICT

  - ### FUNCTION_RETURN_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType FUNCTION_RETURN_CONFLICT

  - ### FUNCTION_DETAILS_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType FUNCTION_DETAILS_CONFLICT

  - ### VARIABLE_STORAGE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType VARIABLE_STORAGE_CONFLICT

  - ### PARAMETER_SIGNATURE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType PARAMETER_SIGNATURE_CONFLICT

  - ### PARAMETER_INFO_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType PARAMETER_INFO_CONFLICT

  - ### REMOVED_LOCAL_VARIABLE_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType REMOVED_LOCAL_VARIABLE_CONFLICT

  - ### LOCAL_VARIABLE_DETAIL_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType LOCAL_VARIABLE_DETAIL_CONFLICT

  - ### THUNK_CONFLICT

    public static final ExternalFunctionMerger.ExternalConflictType THUNK_CONFLICT

- ## Method Details

  - ### values

    public static ExternalFunctionMerger.ExternalConflictType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExternalFunctionMerger.ExternalConflictType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null